%global momorel 1
%global isover 400

# Prevent stripping
%define __os_install_post /usr/lib/rpm/brp-compress

Summary: Stand-alone memory tester for x86 and x86-64 computers
Name: memtest86+
Version: 4.00
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.memtest.org/
Group: Applications/System
Source0: http://www.memtest.org/download/%{version}/%{name}-%{version}.tar.gz
Source1: new-memtest-pkg
Source2: memtest-setup
NoSource: 0
ExclusiveArch: %{ix86} x86_64
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(preun): coreutils
Obsoletes: memtest86
BuildRequires: genisoimage
BuildRequires: sed

%description
Memtest86+ is a thorough stand-alone memory test for x86 and x86-64 
architecture computers. BIOS based memory tests are only a quick 
check and often miss many of the failures that are detected by 
Memtest86+.

Run 'memtest-setup' to add to your GRUB or lilo boot menu.

%prep
%setup -q

%build
# It makes no sense to use smp flags here.
make

./makeiso.sh

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

# install memtest86+
%{__install} -m 755 -d %{buildroot}/boot
%{__install} -m 755 memtest.bin %{buildroot}/boot/memtest86+-%{version}

# install iso
%{__install} -m 755 -d %{buildroot}%{_prefix}/lib/memtest86+
%{__install} -m 644 mt%{isover}.iso %{buildroot}%{_prefix}/lib/memtest86+/memtest86+.iso

# install scripts
%{__install} -m 755 -d %{buildroot}/sbin
%{__install} -m 755 %{SOURCE1} %{buildroot}/sbin/new-memtest-pkg
%{__install} -m 755 -d %{buildroot}%{_sbindir}
%{__install} -m 755 %{SOURCE2} %{buildroot}%{_sbindir}/memtest-setup

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%preun
/sbin/new-memtest-pkg --remove %{version}

%files
%defattr(-,root,root)
%doc FAQ README* changelog
/boot/memtest86+-%{version}
%{_prefix}/lib/memtest86+
/sbin/new-memtest-pkg
%{_sbindir}/memtest-setup

%changelog
* Sat Sep 26 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.00-1m)
- version 4.00
 - Major Architectural changes
 - First pass twice faster (reduced iterations)
 - Detect DDR2/3 brands and part numbers on Intel DDR2/3 chipsets
 - Added detection for Intel "Clarkdale" CPU
 - Added detection for Intel "Gulftown" CPU
 - Added detection for AMD "Magny-Cours" CPU
 - Added detection for Intel XMP Memory
 - Added for CPU w/ 0.5/1.5/3/6/12/16/18/24MB L3
 - Added "clean" DMI detection for DDR3/FBDIMM2
 - Better detection of Integrated Memory Controllers
 - Corrected detection for Intel "Lynnfield" CPU
 - Corrected detection for AMD 45nm K10 CPU
 - Solved crash with AMD Geode LX
 - Complies with SMBIOS 2.6.1 specs
 - Fixed compilation issues with gcc 4.2+
 - Many others bug fixes
- switch compiler from gcc_3_4 to gcc
- remove 211a.patch

* Wed Jul  1 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11-3m)
- update to version 2.11a, enhance AMD CPU support
- http://forum.canardpc.com/showthread.php?t=32475

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.11-2m)
- rebuild against rpm-4.6

* Fri Dec 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11-1m)
- version 2.11
 - Added support for Intel Core i5 (Lynnfield) CPU
 - Added support for Intel P55 Southbridge
 - Added support for Intel PM45/GM45/GM47 Mobile chipset
 - Added support for Intel GL40/GS45 Mobile chipset
 - Corrected DDR2/DDR3 detection on Intel x35/x45
 - Corrected detection on some Core i7 CPU
 - Fixed a bug with some AMI BIOS (freeze at startup)
 - Various bug fixes

* Sun Nov 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.10-1m)
- version 2.10
 - Added support for Intel Core i7 (Nehalem) CPU
 - Added support for Intel Atom Processors
 - Added support for Intel G41/G43/G45 Chipsets
 - Added support for Intel P43/P45 Chipsets
 - Added support for Intel US15W (Poulsbo) Chipset
 - Added support for Intel EP80579 (Tolapai) SoC CPU
 - Added support for ICH10 Southbridge (SPD/DMI)
 - Added detection for Intel 5000X
 - Added workaround for DDR3 DMI detection
 - Now fully aware of CPU w/ L3 cache (Core i7 & K10)
 - Fixed Intel 5000Z chipset detection
 - Fixed Memory Frequency on AMD K10
 - Fixed cache detection on C7/Isaiah CPU
 - Fix Memtest86+ not recognized as Linux Kernel

* Mon Apr  7 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.01-3m)
- build with gcc3.4
- memtest86+ (compiled by gcc43) doesn't work, just hang up
- update memtest-setup
 +* Tue Mar 04 2008 Peter Jones <pjones@redhat.com> - 2.01-2
 +- Don't install memtest86+ in bootloader configs on EFI platforms.

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.01-2m)
- rebuild against gcc43

* Tue Feb 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.01-1m)
- version 2.01
- clean up patches

* Thu Feb 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.00-1m)
- version 2.00
- import fix-makefile-for-x86_64.diff and intelmac-3.diff from Fedora
- clean up old patches

* Thu Jan 31 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.70-4m)
- merge Fedora's patches
 - memtest-intelmac-3.diff
  +* Wed Oct 24 2007 Peter Jones <pjones@redhat.com> - 1.70-4
  +- Fix for mactel.
 - parity-bits.diff
  +* Thu Oct 18 2007 Warren Togami <wtogami@redhat.com> - 1.70-3
  +- one more patch from mschmidt to allow configuration of parity and bits
 - additional-lib-functions.diff
 - console-boot-parameter.diff
 - use-strtoul-in-getval.diff
  +* Wed Oct 17 2007 Warren Togami <wtogami@redhat.com> - 1.70-2
  +- mschmidt's boot time configuration of serial console (#319631)

* Tue Sep 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.70-3m)
- rollback for make iso file, boot checked ok.

* Sun Sep 23 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.70-2m)
- replace __spec_install_post with __os_install_post

* Sun Jul 22 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.70-1.1m)
- re-import from fc
- delete useless iso file

* Sat Feb  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.70-1m)
- switch to memtest86+
- version 1.70
- import Source1 and Source2 from Fedora Core devel

* Thu Feb 17 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.2-3m)
- enable x86_64.

* Sun Dec 19 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.2-2m)
- use gcc_3_2

* Sun Dec 19 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.2-1m)
- added two new, highly effective tests
- add iso image file

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (3.1a-2m)
- install to /usr/lib/memtest86/memtest86 too, for anaconda.

* Thu Apr 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.1a-1m)

* Wed Jul 31 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0-3m)
- fix gcc3.1 problem

* Tue Jul 30 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (3.0-2m)
- fix file attributes (%defattr(-,root,root)

* Tue Jul 30 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (3.0-1m)
- first import.
